# R script to plot best blast hit annotation information for major uncultivated lineages
# clear existing settings and data
rm(list=ls()) 

# required libraries
require(ggplot2)
require(RColorBrewer)

# load data
bar <- read.table("Dropbox/Thrash_Lab/GoM_hypoxia_assemblies/CP_annotations/CP_bin_annot_data2.txt", sep="\t", header=TRUE)

# plot each genome based on best hits by bit score quartile
ggplot(bar, aes(x = Quartile, y = Count, fill=Taxon)) + 
  geom_bar(stat="identity", position="stack") + 
  facet_wrap(~ Bin, scales="free_y", nrow=2) + 
  labs(x="BLAST bit score quartile", y="Annotation count") + 
  theme_bw() + 
  scale_fill_manual(values = rep(brewer.pal(7, "Set2")), name="BLAST Subject\nTaxonomy")
